﻿using Zune.Models;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Drivers;

namespace Zune.Drivers
{
    public class ZuneCardPartDriver : ContentPartDriver<ZuneCardPart>
    {
        protected override DriverResult Display(ZuneCardPart part, string displayType, dynamic shapeHelper)
        {
            //if (displayType == "Summary")
            //    return ContentShape("Parts_ZuneCard_Summary",
            //        () => shapeHelper.Parts_ZuneCard_Summary(ZuneTag: part.ZuneTag));

            return ContentShape("Parts_ZuneCard",
                () => shapeHelper.Parts_ZuneCard(ZuneTag: part.ZuneTag, 
                                                Size: part.Size));
        }

        //GET
        protected override DriverResult Editor(ZuneCardPart part, dynamic shapeHelper)
        {
            return ContentShape("Parts_ZuneCard_Edit",
                                () => shapeHelper.EditorTemplate(TemplateName: "Parts/ZuneCard", Model: part));
        }
        //POST
        protected override DriverResult Editor(ZuneCardPart part, IUpdateModel updater, dynamic shapeHelper)
        {
            updater.TryUpdateModel(part, Prefix, null, null);
            return Editor(part, shapeHelper);
        }
    }
}