﻿using System.Data;
using Zune.Models;
using Orchard.ContentManagement.MetaData;
using Orchard.Core.Contents.Extensions;
using Orchard.Data.Migration;

namespace Zune
{
    public class Migrations : DataMigrationImpl
    {
        public int Create()
        {
            SchemaBuilder.CreateTable("ZuneCardPartRecord", table => table
                .ContentPartRecord()
                .Column("ZuneTag", DbType.String)
                .Column("Size", DbType.Byte)
            );

            ContentDefinitionManager.AlterPartDefinition(typeof(ZuneCardPart).Name, cfg => cfg
                .Attachable());

            ContentDefinitionManager.AlterTypeDefinition("ZuneCardWidget", cfg => cfg
                .WithPart("ZuneCardPart")
                .WithPart("WidgetPart")
                .WithPart("CommonPart")
                .WithSetting("Stereotype", "Widget"));

            return 1;
        }
    }
}
