﻿using System.ComponentModel.DataAnnotations;
using Orchard.ContentManagement;
using Orchard.ContentManagement.Records;
using Zune.Extensions;

namespace Zune.Models
{
    public class ZuneCardPartRecord : ContentPartRecord
    {
        public virtual string ZuneTag { get; set; }
        public virtual byte Size { get; set; }
    }

    public class ZuneCardPart : ContentPart<ZuneCardPartRecord>
    {
        [Required]
        public string ZuneTag
        {
            get { return Record.ZuneTag; }
            set { Record.ZuneTag = value; }
        }

        [Required]
        public Size Size
        {
            get { return Record.Size.ToSize(); }
            set { Record.Size = (byte)value; }
        }
    }
}